net.sf.jasperreports.crosstabs.xml

## Class JRCrosstabParameterFactory

- java.lang.Object
- - net.sf.jasperreports.engine.xml.JRBaseFactory
  - - net.sf.jasperreports.engine.xml.JRParameterFactory
    - - net.sf.jasperreports.crosstabs.xml.JRCrosstabParameterFactory

- All Implemented Interfaces:
    org.apache.commons.digester.ObjectCreationFactory

      public class JRCrosstabParameterFactory
      extends JRParameterFactory

  Version:
    $Id: JRCrosstabParameterFactory.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTRIBUTE_class`
    `static java.lang.String` | `ATTRIBUTE_name`
    `static java.lang.String` | `ELEMENT_crosstabParameter`
    `static java.lang.String` | `ELEMENT_parameterValueExpression`

    - ### Fields inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `digester`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRCrosstabParameterFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createObject(org.xml.sax.Attributes atts)`

    - ### Methods inherited from class net.sf.jasperreports.engine.xml.JRParameterFactory

      `setParameterAttributes`

    - ### Methods inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `getDigester, setDigester`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEMENT_crosstabParameter

          public static final java.lang.String ELEMENT_crosstabParameter

      See Also:
        Constant Field Values

    - #### ELEMENT_parameterValueExpression

          public static final java.lang.String ELEMENT_parameterValueExpression

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_name

          public static final java.lang.String ATTRIBUTE_name

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_class

          public static final java.lang.String ATTRIBUTE_class

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRCrosstabParameterFactory

          public JRCrosstabParameterFactory()

  - ### Method Detail

    - #### createObject

          public java.lang.Object createObject(org.xml.sax.Attributes atts)

      Specified by:
        `createObject` in interface `org.apache.commons.digester.ObjectCreationFactory`
      Overrides:
        `createObject` in class `JRParameterFactory`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com